### Hierarchy

- SelectionTile

### Implements

- AfterViewInit

## Index

### Inputs

- id
- value
- selected

### Outputs

- change

### Constructors

- constructor

### Properties

- _selected
- change
- i18n
- id
- input
- multiple
- name
- value
- tileCount

### Accessors

- selected

### Methods

- keyboardInput
- ngAfterViewInit
- onChange

## Constructors

### constructor

- new SelectionTile(i18n: I18n): SelectionTile

- - Defined in src/tiles/selection-tile.component.ts:90

  #### Parameters

  - ##### i18n: I18n

  #### Returns SelectionTile

## Properties

### Protected _selected

_selected: any = null

- Defined in src/tiles/selection-tile.component.ts:90

### change

@Output()
change: EventEmitter<Event> = new EventEmitter()

- Defined in src/tiles/selection-tile.component.ts:72

### i18n

i18n: I18n

- Defined in src/tiles/selection-tile.component.ts:92

### id

@Input()
id: string = `tile-${SelectionTile.tileCount}`

- Defined in src/tiles/selection-tile.component.ts:48

### input

@ViewChild({"selector":"input","opts":"{ static: true }"})
input: any

- Defined in src/tiles/selection-tile.component.ts:86

### multiple

multiple: boolean = true

- Defined in src/tiles/selection-tile.component.ts:82

### name

name: string = "tile-group-unbound"

- Defined in src/tiles/selection-tile.component.ts:77

### value

@Input()
value: string

- Defined in src/tiles/selection-tile.component.ts:68

### Static tileCount

tileCount: number = 0

- Defined in src/tiles/selection-tile.component.ts:44

## Accessors

### selected

@Input()
selected:

- Defined in src/tiles/selection-tile.component.ts:53
- Defined in src/tiles/selection-tile.component.ts:62

## Methods

### keyboardInput

@HostListener({"eventName":"keydown","args":"[$event]"})

- keyboardInput(event: any): void

- - Defined in src/tiles/selection-tile.component.ts:105

  #### Parameters

  - ##### event: any

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/tiles/selection-tile.component.ts:96

  #### Returns void

### onChange

- onChange(event: any): void

- - Defined in src/tiles/selection-tile.component.ts:112

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc